Summary: Bluetooth utilities 
Name: bluez-utils
Version: 3.7
Release: 2.2%{?dist}
License: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
Source1: bluetooth.init
Source2: pand.init
Source3: dund.init
Source4: hidd.init
Source6: pand.conf
Source7: dund.conf
Source8: hidd.conf
Source9: bluetooth.conf
Patch0: bluez-utils-2.3-conf.patch
Patch1: bluez-utils-3.7-newconn-name.patch
Patch2: bluez-utils-3.7-pcmcia.patch
Patch3: bluez-utils-3.7-sdp-vuln.patch

%define bluezlibs_minrelease 1.1

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.bluez.org/
BuildRequires: bluez-libs-devel >= %{version}-%{bluezlibs_minrelease}
BuildRequires: flex
BuildRequires: dbus-devel >= 0.90
BuildRequires: libusb-devel
ExcludeArch: s390 s390x
Obsoletes: bluez-pan, bluez-sdp
Requires: initscripts, bluez-libs >= %{version}-%{bluezlibs_minrelease}
Requires: dbus >= 0.60
Requires: bluez-gnome
Prereq: /sbin/chkconfig, /sbin/service

%description
Bluetooth utilities (bluez-utils):
	- hcitool
	- hciattach
	- hciconfig
	- hcid
	- l2ping
	- start scripts (CentOS)
	- pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package cups
Summary: CUPS printer backend for Bluetooth printers
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}
Requires: cups

%description cups
This package contains the CUPS backend 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --with-bluez-libs=%{_libdir} --enable-pie --enable-debug \
	   --enable-all --disable-bcm203x --enable-alsa --enable-bccmd \
	   --enable-bccmd --enable-avctrl
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT rulesdir=%{_sysconfdir}/udev/rules.d udevdir=/lib/udev
rm -f $RPM_BUILD_ROOT/etc/default/bluetooth $RPM_BUILD_ROOT/etc/init.d/bluetooth
for a in bluetooth dund hidd pand ; do 
	install -D -m0755 $RPM_SOURCE_DIR/$a.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/$a
	install -D -m0644 $RPM_SOURCE_DIR/$a.conf $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/$a
done
install -D -m0755 cups/bluetooth ${RPM_BUILD_ROOT}%{_libdir}/cups/backend/bluetooth


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bluetooth
/sbin/chkconfig --add hidd
/sbin/chkconfig --add dund
/sbin/chkconfig --add pand
if [ "$1" = "1" ]; then
	/sbin/service bluetooth condrestart >/dev/null 2>&1
	/sbin/service hidd condrestart >/dev/null 2>&1
	/sbin/service dund condrestart >/dev/null 2>&1
	/sbin/service pand condrestart >/dev/null 2>&1
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/service bluetooth stop >/dev/null 2>&1
	/sbin/service hidd stop >/dev/null 2>&1
	/sbin/service dund stop >/dev/null 2>&1
	/sbin/service pand stop >/dev/null 2>&1
	/sbin/chkconfig --del bluetooth
	/sbin/chkconfig --del hidd
	/sbin/chkconfig --del dund
	/sbin/chkconfig --del pand
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
/etc/rc.d/init.d/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/dbus-1/system.d/*
%config %{_sysconfdir}/udev/rules.d/bluetooth.rules
/lib/udev/bluetooth_serial
%dir /var/lib/bluetooth

%files cups
%defattr(-, root, root)
%{_libdir}/cups/backend/bluetooth

%changelog
* Mon Jul 14 2008 Johnny Hughes <johnny@centos.org> - 3.7-2.2.el5.centos
- removed branding and trademark issues in the spec file

* Wed Jul  9 2008 Tomas Hoger <thoger@redhat.com> - 3.7-2.2
- Add explicit versioned Requires and BuildRequires for new bluez-libs

* Wed Jul 02 2008 - Bastien Nocera <bnocera@redhat.com> 3.7-2.1
- Fix CVE-2008-2374 (#452715) SDP payload processing vulnerability

* Sat Sep 30 2006 David Woodhouse <dwmw2@infradead.org> 3.7-2
- Fix udev handling of PCMCIA serial+bluetooth devices

* Sat Sep 30 2006 David Woodhouse <dwmw2@infradead.org> 3.7-1
- Update to bluez-utils 3.7

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 2.25-12
- Rebuild for dbus

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.25-11.1
- rebuild

* Sun Jun 11 2006 David Woodhouse <dwmw2@infradead.org> 2.25-11
- Really rebuild against bluez-libs-3.0 (libbluetooth.so.2)

* Sun Jun 11 2006 David Woodhouse <dwmw2@infradead.org> 2.25-10
- Rebuild against bluez-libs-3.0 (libbluetooth.so.2)

* Tue May 16 2006 Karsten Hopp <karsten@redhat.de> 2.25-9
- buildrequire libusb-devel, otherwise dfutool,avctrl,bccmd,hid2hci won't
  get built in a mock environment

* Mon May 15 2006 Dan Walsh <dwalsh@redhat.com> - 2.25-8
* Add /var/lib/bluetooth to be owned by package

* Fri Apr 21 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-7
- Fix invalid timeval in reconnect_timer_start()

* Mon Apr 17 2006 Peter Jones <pjones@redhat.com> - 2.25-6
- Clean up initscripts.
- Clean up specfile.

* Thu Mar 23 2006 Peter Jones <pjones@redhat.com> - 2.25-5
- Don't poll every 200ms when nothing happens unless there's poll event
  in hidd.

* Wed Mar 14 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-4
- Require bluez-pin, since we're configured to use it by default

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 2.25-3
- more initscript tweaking

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 2.25-2
- fix initscripts to be more resilient of files missing to clean up 
  scriptlet errors on install

* Thu Feb 23 2006 David Woodhouse <dwmw2@redhat.com> - 2.25-1
- Update to bluez-utils 2.25
- Add hidd init script (#182274)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.22-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.22-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 2.22-2.1
- rebuilt

* Thu Dec  1 2005 John (J5) Palmieri <johnp@redhat.com> - 2.22-2
- rebuild for the new dbus

* Sun Nov  6 2005 David Woodhouse <dwmw2@redhat.com> 2.22-1
- Update to bluez-utils 2.22

* Mon Sep  5 2005 David Woodhouse <dwmw2@redhat.com> 2.20-1
- Update to bluez-utils 2.20

* Thu Aug 25 2005 David Woodhouse <dwmw2@redhat.com> 2.19-3
- Use dbus fixes from upstream

* Mon Aug 22 2005 David Woodhouse <dwmw2@redhat.com> 2.19-2
- Fix calls to dbus_message_append_args()

* Mon Aug  8 2005 David Woodhouse <dwmw2@redhat.com> 2.19-1
- Update to bluez-utils 2.19

* Mon May  2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-7
- Run hidd by default (#155831)

* Mon May  2 2005 Miloslav Trmac <mitr@redhat.com> - 2.15-6
- Add missing backslashes to init script descriptions (#154494, patch by Ville
  Skyttä)

* Fri Mar 25 2005 Florian La Roche <laroche@redhat.com>
- make sure post/postun end with a "exit 0"

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-4
- fixup new_dbus_api patch

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-3
- add patch to update to new dbus-0.31 api

* Thu Mar 3 2005 David Woodhouse <dwmw2@redhat.com> 2.15-2
- Don't abort if dbus isn't available at startup; try again when 
  we actually need it

* Wed Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-1
- Update to bluez-utils 2.15
- Add Obsoletes: bluez-sdp (#131653)
- Fix hidd default args (#145939)
- Make /etc/pcmcia/bluetooth executable (#148752)
- Use dbus PIN by default (#131603, #134856, #145993)
- Don't report hidd status in bluetooth initscript (#139169)

* Thu Jan 20 2005 David Woodhouse <dwmw2@redhat.com> 2.14-1
- Update to bluez-utils 2.14

* Wed Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 2.13-1
- Update to bluez-utils 2.13

* Tue Dec 07 2004 Florian La Roche <laroche@redhat.com>
- add prereq for service/chkconfig

* Wed Dec 01 2004 Phil Knirsch <pknirsch@redhat.com> 2.10-3
- Minor dependancy fix (missing initscripts for post stuff)
- Switch Copyright to License

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Rebuild against new bluez-libs with nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-utils 2.10

* Fri Aug 13 2004 David Woodhouse <dwmw2@redhat.com> 2.9-2
- Merge PIE patch from upstream
- Don't enable auth and encrypt by default.

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-utils 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-utils 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add the necessary defattr for the cups sub-rpm

* Wed May 19 2004 David Woodhouse <dwmw2@redhat.com> 2.7-3
- Include bluetooth.conf in sources.
- Make new bluez-utils-cups package for CUPS backend.

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com> 2.7-2
- Build PIE

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-utils 2.7

* Mon Mar 15 2004 David Woodhouse <dwmw2@redhat.com> 2.4-3
- Update to dbus-0.20 compatible code from bluez-utils CVS

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.4-1 
- update to 2.4
- new -build patch
- new -hciattach-initspeed patch
- new -pinwait patch

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.3-15
- fix updates. Last command run at update was  
  /sbin/chkconfig --del bluetooth (Dag Wieers)

* Wed Oct 22 2003 Karsten Hopp <karsten@redhat.de> 2.3-14
- add status to initscript (#106265)

* Tue Sep 09 2003 David Woodhouse <dwmw2@redhat.com> 2.3-13
- Make config files noreplace to fix #104074

* Fri Sep 05 2003 David Woodhouse <dwmw2@redhat.com> 2.3-12
- Updated dbus patch to fix conf file parser.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-11
- Ignore SIGCHLD.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-10
- Don't ignore SIGCHLD.

* Tue Aug 26 2003 David Woodhouse <dwmw2@redhat.com> 2.3-9 
- Init script enabled by default

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-8
- Use aclocal-1.4 not aclocal

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-7
- Add Phil Blundell's dbus patch
- chkconfig and condrestart in %post

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.3-6
- rebuilt

* Tue May 06 2003 David Woodhouse <dwmw2@redhat.com> 2.3-5
- Fix tmpfile bug

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-4
- Work around fontconfig bug when invoked with no HOME in environment

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-3
- Unignore SIGCHLD before starting pin helper, report its return code

* Fri Apr 25 2003 David Woodhouse <dwmw2@redhat.com> 2.3-2
- Fix bluepin some more.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com> 2.3-1
- Upgrade to bluez-utils 2.3
- Fix, document and use 'rfcomm bind all'
- Support sending break and changing initial speed in hciattach
- Fix bluepin for gtk2

* Mon Apr 14 2003 Bill Nottingham <notting@redhat.com> 2.2-4
- fix reference to bluepin in /etc/pcmcia/hcid.conf (#88797)

* Mon Feb 24 2003 Bill Nottingham <notting@redhat.com> 2.2-3
- fix errors from cardmgr on startup

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Matt Wilson <msw@redhat.com> 2.2-1
- configure with --with-bluez-libs=%%{_libdir}

* Fri Jan 17 2003 Bill Nottingham <notting@redhat.com> 2.2-1
- adapt upstream rpm

* Tue Aug 13 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM
